Debian Bug report logs - #140677
Make generation of <link ...> tag and other new feature selectable

version graph

Package: debiandoc-sgml; Maintainer for debiandoc-sgml is Osamu Aoki <osamu@debian.org>; Source for debiandoc-sgml is src:debiandoc-sgml.

Reported by: Osamu Aoki <debian@aokiconsulting.com>

Date: Sun, 31 Mar 2002 17:03:01 UTC

Severity: wishlist

Tags: pending

Found in version 1.1.59

Fixed in version debiandoc-sgml/1.1.60

Done: Ardo van Rangelrooij <ardo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ardo van Rangelrooij <ardo@debian.org>, debiandoc-sgml@packages.qa.debian.org:
Bug#140677; Package debiandoc-sgml. Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <debian@aokiconsulting.com>:
New Bug report received and forwarded. Copy sent to Ardo van Rangelrooij <ardo@debian.org>, debiandoc-sgml@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Osamu Aoki <debian@aokiconsulting.com>
To: submit@bugs.debian.org
Cc: 138240@bugs.debian.org, 138241@bugs.debian.org, Adam Di Carlo <adam@onshore.com>
Subject: Make generation of <link ...> tag and other new feature selectable
Date: Sun, 31 Mar 2002 08:55:36 -0800
Package: debiandoc-sgml
Version: 1.1.59
Severity: wishlist

Please make the generation of <link href="..."> tags in <head> ...
</head> section of html files to be selectable by a command-line option
because of the following reasoning.  Also cyclic page pointer at the top
of html should also be selectable. (CCed to the affected package
maintainers.)
   ---
Recent improvement in debiandoc-sgml started generating new tags at the
<head> ... </head> section of html file.  This causes annoying effect
when these pages created from a large sgml source is viewed by browsers
such as "lynx" and "links", i.e., first few pages of each page are just
"href" links.  

Good example web page is: http://qref.sf.net/quick/index.en.html

("links" starts at page 13 so pressing the "HOME" key is nightmare)

Though this is a problem with the browsers (bug report #138240 and #138241)
and not a problem with mozilla/galeon/w3m, I think debiandoc-sgml shall
offer some kind of remedy considering woody is in practical freeze mode
and these browsers will be released in this state.

For cyclic tag, since we have [1] ... links at the top of pages seen by
"galeon" and "w3m", I do not know how useful it is.

Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Installed/Config-files/Unpacked/Failed-config/Half-installed
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name           Version        Description
+++-==============-==============-============================================
ii  debiandoc-sgml 1.1.59         DebianDoc SGML DTD and formatting tools
-- 
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+  Osamu Aoki <debian@aokiconsulting.com> @ Cupertino, CA USA         +




Tags added: pending Request was from Ardo van Rangelrooij <ardo@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ardo van Rangelrooij <ardo@debian.org>, debiandoc-sgml@packages.qa.debian.org:
Bug#140677; Package debiandoc-sgml. Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@cibalia.gkvk.hr>:
Extra info received and forwarded to list. Copy sent to Ardo van Rangelrooij <ardo@debian.org>, debiandoc-sgml@packages.qa.debian.org. Full text and rfc822 format available.

Message #12 received at 140677@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@cibalia.gkvk.hr>
To: 140677@bugs.debian.org
Subject: <link> stuff
Date: Fri, 5 Apr 2002 18:13:51 +0200
Hi,

Please upload the version which includes a <link> removal option ASAP.
It's annoying. :)

-- 
     2. That which causes joy or happiness.



Reply sent to Ardo van Rangelrooij <ardo@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Osamu Aoki <debian@aokiconsulting.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 140677-close@bugs.debian.org (full text, mbox):

From: Ardo van Rangelrooij <ardo@debian.org>
To: 140677-close@bugs.debian.org
Subject: Bug#140677: fixed in debiandoc-sgml 1.1.60
Date: Sat, 06 Apr 2002 13:17:06 -0500
We believe that the bug you reported is fixed in the latest version of
debiandoc-sgml, which is due to be installed in the Debian FTP archive:

debiandoc-sgml_1.1.60.dsc
  to pool/main/d/debiandoc-sgml/debiandoc-sgml_1.1.60.dsc
debiandoc-sgml_1.1.60.tar.gz
  to pool/main/d/debiandoc-sgml/debiandoc-sgml_1.1.60.tar.gz
debiandoc-sgml_1.1.60_all.deb
  to pool/main/d/debiandoc-sgml/debiandoc-sgml_1.1.60_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 140677@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ardo van Rangelrooij <ardo@debian.org> (supplier of updated debiandoc-sgml package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----

Format: 1.7
Date: Sat,  6 Apr 2002 12:07:46 -0600
Source: debiandoc-sgml
Binary: debiandoc-sgml
Architecture: source all
Version: 1.1.60
Distribution: unstable
Urgency: low
Maintainer: Ardo van Rangelrooij <ardo@debian.org>
Changed-By: Ardo van Rangelrooij <ardo@debian.org>
Description: 
 debiandoc-sgml - DebianDoc SGML DTD and formatting tools
Closes: 138368 138437 140677 140962
Changes: 
 debiandoc-sgml (1.1.60) unstable; urgency=low
 .
   * Added support for optional <link> tags in HTML output
     (closes: Bug#140677)
   * Added support for ...@euro locales
     (closes: Bug#138437)
   * bin/{debiandoc2*,template}: always return exit status of zero upon success
     (closes: Bug#138368)
   * Locale/fr_FR.ISO8859-1/HTML: fixed typo
     (closes: Bug#140962)
Files: 
 6c1b52a65d3b19fda33121eec4b40f9c 674 text optional debiandoc-sgml_1.1.60.dsc
 9324e34c24b47e534f1c65c0bac34d70 63623 text optional debiandoc-sgml_1.1.60.tar.gz
 6f601bc1cd0e83bef03c5e3a319288eb 61738 text optional debiandoc-sgml_1.1.60_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iQCVAwUBPK85xj6XMRfcxSjpAQGR+AP/eSRxRqt5BnXbGztifcgN7g7qPlToofLN
WBbscvvEqrNuJ0YPACU2mcIYtjWl+sY3+bcYAyLA7ZFUADrx4ggn5vwb+h0wFFH4
K2+WjUiMUTMRE0DRuWJJcT4S1zcXmWmYVpjchKxEGlKzMXqytEjtioGphDVhq535
fEgX8M56/c8=
=a4Vh
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:35:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.